Loading...
Searching...
No Matches
_ChannelPerceptualHash Struct Reference

## Data Fields

double | srgb_hu_phash [MaximumNumberOfImageMoments+1]
double | hclp_hu_phash [MaximumNumberOfImageMoments+1]
size_t | number_colorspaces
ColorspaceType | colorspace [MaximumNumberOfPerceptualColorspaces+1]
double | phash [MaximumNumberOfPerceptualColorspaces+1][MaximumNumberOfImageMoments+1]
size_t | number_channels

## Detailed Description

Definition at line 73 of file statistic.h.

## Field Documentation

## colorspace

ColorspaceType _ChannelPerceptualHash::colorspace[MaximumNumberOfPerceptualColorspaces+1]

Definition at line 83 of file statistic.h.

## hclp_hu_phash

double _ChannelPerceptualHash::hclp_hu_phash[MaximumNumberOfImageMoments+1]

Definition at line 77 of file statistic.h.

## number_channels

size_t _ChannelPerceptualHash::number_channels

Definition at line 89 of file statistic.h.

## number_colorspaces

size_t _ChannelPerceptualHash::number_colorspaces

Definition at line 80 of file statistic.h.

## phash

double _ChannelPerceptualHash::phash[MaximumNumberOfPerceptualColorspaces+1][MaximumNumberOfImageMoments+1]

Definition at line 86 of file statistic.h.

## srgb_hu_phash

double _ChannelPerceptualHash::srgb_hu_phash[MaximumNumberOfImageMoments+1]

Definition at line 76 of file statistic.h.

The documentation for this struct was generated from the following file:

- statistic.h